# SmallPair< T, U > Struct Template Reference

Simple pair of data. More...

`#include <smallmap_type.hpp>`

## Public Member Functions

FORCEINLINE | SmallPair (const T &first, const U &second)
| Initializes this Pair with data.

## Data Fields

T | first
U | second

## Detailed Description

### template<typename T, typename U>
struct SmallPair< T, U >

Simple pair of data.

Both types have to be POD ("Plain Old Data")!

Definition at line 20 of file smallmap_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/smallmap_type.hpp